function [jacobian,slowmodel,modelA,exactslowmodel,zbottom,ztop] = geometry()
%% function to create the jacobian for a specific geometry
%% make the jacobian matrix.  J(i,j) is the distnace the i-th ray
%% travels in the j-th cell.
  ztop = 0;      
  zbottom = 40;
  m=200; %% m layers
  n=100; %% n receivers
  truem=1000; %% true model has 1000 layers to mimick a continuous Earth
  
  truedeltaz = zbottom/truem;
  deltarec = (zbottom - ztop)/n;
  rec = deltarec:deltarec:zbottom;
  jacobian = zeros(n,m);
  deltaz = (zbottom - ztop)/m;
  vmax = 4;
  vmin = .5;
  truedv = (vmax - vmin)/truem;
  dv = (vmax - vmin)/m;
  exactvelmodel=vmin:truedv:vmax-truedv;
  velmodel = vmin:dv:vmax-dv;
  truemid = floor(truem/2);
  mid = floor(m/2);
  truedeltam = floor(.1 * truem);
  deltam = floor(.1 * m);
  exactvelmodel(truemid-truedeltam:truemid+truedeltam) = 1;
  velmodel(mid-deltam:mid+deltam) = 1; 
  slowmodel = 1./velmodel;
  exactslowmodel = 1 ./ exactvelmodel;
  
  modelA = makejacobian(truem,truedeltaz,rec); 
  A =  makejacobian(m,deltaz,rec);
 
  for i = 1:n
    ndepth = floor(rec(i)/deltaz);    % ndepth is layer you're in
    eps = rec(i) - ndepth * deltaz;
    for j = 1:m
      if(j <= ndepth) 
	jacobian(i,j) = deltaz;
      elseif(j > ndepth)
	jacobian(i,j) = eps;
	break
      end
    end
  end
  
  





