function []= plotfigs(zbottom,slowmodel,x_L,m,Sigma,maxbias,minbias,bias) 
  sample = [1:floor(m/20):m m];
  r =1;
  model = x_L(r,:);
  
  figure
  confplot = errorbar(sample/m*zbottom,model(sample), Sigma(sample),'.');
  hold on
  trueplot = plot((1:m)/m*zbottom,slowmodel,'--k');
  xlabel('depth (m)')
  ylabel('slowness (s/km)')
  axis([-1 41 -0.25 2.25])
  hold off
  
  %% here is the plot with mean model plus CONFIDENCE interval = var - bias
  figure
  modelminbias = x_L(r,:)-bias(:,r)';
  confplot = errorbar(sample/m*zbottom,modelminbias(sample),Sigma(sample),'.');
  hold on
  trueplot = plot((1:m)/m*zbottom,slowmodel,'--k');
  xlabel('depth (m)')
  ylabel('slowness (s/km)')
  axis([-1 41 -0.25 2.25])
  hold off
  
  figure
  Sigmamax = min(2.*ones(m,1)-model', Sigma');
  Sigmamin = min(model,Sigma); 
  barmin=minbias-Sigma;
  barmin = max(-model,barmin); % to honor the prior assumption
  barmax=-maxbias+Sigma;
  barmax= min(2.*ones(m,1)-model', barmax');
  true = plot((1:m)/m*zbottom,slowmodel,'--k')
  hold on
  stab = errorbar(sample/m*zbottom,model(sample),Sigmamin(sample),...
		  Sigmamax(sample),'.k')
  conf = errorbar(sample/m*zbottom,model(sample),barmin(sample),...
		  barmax(sample),'.r')
  xlabel('depth (m)')
  ylabel('slowness (s/km)')
  axis([-1 41 -0.25 2.25])
  box on
  
  







